# $Id: Makefile.in,v 1.1 2000/10/11 14:18:09 m-hirano Exp $
# $RWC_Release: Omni-1.6 $
# $RWC_Copyright:
#  Omni Compiler Software Version 1.5-1.6
#  Copyright (C) 2002 PC Cluster Consortium
#  
#  This software is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License version
#  2.1 published by the Free Software Foundation.
#  
#  Omni Compiler Software Version 1.0-1.4
#  Copyright (C) 1999, 2000, 2001.
#   Tsukuba Research Center, Real World Computing Partnership, Japan.
#  
#  Please check the Copyright and License information in the files named
#  COPYRIGHT and LICENSE under the top  directory of the Omni Compiler
#  Software release kit.
#  
#  
#  $
#
# Makefile for Laplace
#

prefix		=	$${OMNI_HOME:=@orgPrefix@}
exec_prefix     =       @orgExec_prefix@

OMCC		=	${prefix}/bin/omcc
CC		=	@CC@

LDLIBS		=	-lm 


PROGRAM = lap-omp lap-seq

all: $(PROGRAM)

lap-omp: lap.c second.o
	$(OMCC) $(CFLAGS) -o lap-omp lap.c second.o $(LDLIBS)

lap-seq: lap.c second.o
	$(CC) $(CFLAGS) -o lap-seq lap.c second.o $(LDLIBS)

clean:
	rm -f $(PROGRAM) *.o

distclean:	clean
	true

